### Virtual Method

# Gdk.Paintable.snapshot

#### Declaration [src]

    void
    snapshot (
      GdkPaintable* paintable,
      GdkSnapshot* snapshot,
      double width,
      double height
    )

#### Description [src]

Snapshots the given paintable with the given `width` and `height`.

The paintable is drawn at the current (0,0) offset of the `snapshot`. If `width` and `height` are not larger than zero, this function will do nothing.

#### Parameters

`snapshot` | `GdkSnapshot`
| a `GdkSnapshot` to snapshot to
| Ownership is not transferred to the callee
`width` | `double`
| width to snapshot in
`height` | `double`
| height to snapshot in